Name:		PySolFC
Version:	3.0.0
Release:	%mkrel 1
Summary:	A collection of solitaire card games
License:	GPLv3+
Group:		Games/Cards
URL:		https://pysolfc.sourceforge.net/
Source0:	https://sourceforge.net/projects/pysolfc/files/PySolFC/PySolFC-%{version}/PySolFC-%{version}.tar.xz
BuildArch:	noarch
BuildRequires:	perl(Code::TidyAll::Plugin::Flake8)
BuildRequires:	perl(Inline::Python)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-attrs
BuildRequires:	python3-configobj
BuildRequires:	python3-flake8
BuildRequires:	python3-flake8-import-order
BuildRequires:	python3-pycotap
BuildRequires:	python3-pysol-cards
BuildRequires:	python3-setuptools
BuildRequires:	python3-pillow
BuildRequires:	python3-pillow-tk
BuildRequires:	python3-random2
BuildRequires:	python3-six
Requires:	tkinter3
Requires:	python3-black-hole-solver
Requires:	python3-freecell-solver
Requires:	python3-pillow
Requires:	python3-pillow-tk
Requires:	python3-pygame
Recommends:	PySolFC-cardsets
Recommends:	python3-pysol-sound-server
Provides:	pysol = %{version}-%{release}
Obsoletes:	pysol < 4.83

%description
PySolFC is a collection of more than 1000 solitaire card games.
Its features include modern look and feel (uses Tile widget set), multiple
card-sets and tableau backgrounds, sound, unlimited undo, player statistics,
a hint system, demo games, a solitaire wizard, support for user written
plug-ins, an integrated HTML help browser, and lots of documentation.

%prep
%autosetup -p1

# drop deprecated time.clock
sed -i -e 's,time\.clock,time.perf_counter,g' pysollib/mfxutil.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%check
export TEST_TAGS=" SKIP_PY2 " TEST_SKIP_TIDYALL=1
%__make test

%install
%pyproject_install
# Hack to put /usr/bin/pysol.py as /usr/games pysol
mkdir -p %{buildroot}%{_gamesbindir}
%define pysol_bin_path %{_gamesbindir}/pysol
%define pysol_orig_path %{_bindir}/pysol.py
mv %{buildroot}%{pysol_orig_path} %{buildroot}%{pysol_bin_path}

sed -i -e 's#Exec=.*#Exec=%{_gamesbindir}/pysol#' %{buildroot}%{_datadir}/applications/pysol.desktop

%find_lang pysol
%pyproject_save_files pysollib


%files -f pysol.lang -f %{pyproject_files}
%doc COPYING README.md
%{_gamesbindir}/*
%{_datadir}/%name
%{_datadir}/applications/pysol.desktop
%{_iconsdir}/hicolor/*/apps/*.png


%changelog
* Thu Jul 04 2024 daviddavid <daviddavid> 3.0.0-1.mga10
+ Revision: 2079645
- new version: 3.0.0

* Thu Jul 04 2024 daviddavid <daviddavid> 2.21.0-3.mga10
+ Revision: 2079578
- fix dependencies

* Wed Jan 03 2024 papoteur <papoteur> 2.21.0-2.mga10
+ Revision: 2027299
- fix macro
- fix files list
- Mass Rebuild - Python 3.12
- rebuild for Python 3.12
-new 2.21.0

* Tue Aug 09 2022 neoclust <neoclust> 2.15.0-1.mga9
+ Revision: 1876386
- New version 2.15.0

* Wed Apr 06 2022 umeabot <umeabot> 2.14.1-2.mga9
+ Revision: 1845995
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 tv <tv> 2.14.1-1.mga9
+ Revision: 1782365
- 2.14.1
+ tmb <tmb>
- rebuild for python 3.10
+ neoclust <neoclust>
- Rebuild against python 3.10

* Sun Mar 21 2021 neoclust <neoclust> 2.10.1-2.mga9
+ Revision: 1706438
- Rebuild against python 3.9

* Fri Jul 03 2020 shlomif <shlomif> 2.10.1-1.mga8
+ Revision: 1601618
- New version 2.10.1

* Sat May 23 2020 wally <wally> 2.8.0-2.mga8
+ Revision: 1587062
- drop python2 BR

* Thu Mar 05 2020 shlomif <shlomif> 2.8.0-1.mga8
+ Revision: 1554087
- New version 2.8.0

* Thu Feb 20 2020 umeabot <umeabot> 2.6.4-5.mga8
+ Revision: 1547305
- Mageia 8 Mass Rebuild

* Fri Feb 07 2020 shlomif <shlomif> 2.6.4-4.mga8
+ Revision: 1487858
- avoid dependency on python 2.x

* Tue Sep 24 2019 wally <wally> 2.6.4-3.mga8
+ Revision: 1445493
- drop usage of deprecated time.clock python function to fix tests

* Tue Sep 24 2019 tv <tv> 2.6.4-2.mga8
+ Revision: 1445488
- disable testsuite for now
- rebuild for python-3.8

* Thu Apr 25 2019 shlomif <shlomif> 2.6.4-1.mga7
+ Revision: 1395347
- New version 2.6.4

* Sun Apr 07 2019 shlomif <shlomif> 2.6.3-1.mga7
+ Revision: 1386632
- New version 2.6.3

* Wed Feb 27 2019 shlomif <shlomif> 2.6.2-1.mga7
+ Revision: 1370437
- New version 2.6.2 + add tests

* Sat Feb 16 2019 shlomif <shlomif> 2.6.1-1.mga7
+ Revision: 1367650
- New version 2.6.1

* Thu Feb 14 2019 shlomif <shlomif> 2.6.0-1.mga7
+ Revision: 1367031
- New version 2.6.0

* Mon Jan 07 2019 shlomif <shlomif> 2.4.0-3.mga7
+ Revision: 1350419
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 2.4.0-2.mga7
+ Revision: 1300430
- Mageia 7 Mass Rebuild

* Sat Jun 23 2018 shlomif <shlomif> 2.4.0-1.mga7
+ Revision: 1239164
- New version 2.4.0

* Mon Apr 16 2018 shlomif <shlomif> 2.2.0-1.mga7
+ Revision: 1219275
- New version 2.2.0

* Fri Mar 30 2018 shlomif <shlomif> 2.1.4-1.mga7
+ Revision: 1213685
- New version 2.1.4

* Fri Mar 23 2018 shlomif <shlomif> 2.1.3-2.mga7
+ Revision: 1211710
- Add recommends on the sound server.

* Mon Mar 05 2018 shlomif <shlomif> 2.1.3-1.mga7
+ Revision: 1206621
- Remove an unneeded dep
- New version 2.1.3.

* Wed Dec 13 2017 shlomif <shlomif> 2.1.2-1.mga7
+ Revision: 1182503
- Remove old line
- New version 2.1.2

* Mon Dec 04 2017 shlomif <shlomif> 2.1.0-2.mga7
+ Revision: 1181267
- Add missing requires.

* Thu Nov 16 2017 shlomif <shlomif> 2.1.0-1.mga7
+ Revision: 1177565
- update to new version 2.1.0 (thanks to kekePower)

* Mon Feb 08 2016 umeabot <umeabot> 2.0-19.mga6
+ Revision: 942843
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0-18.mga5
+ Revision: 739820
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0-17.mga5
+ Revision: 728010
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0-16.mga5
+ Revision: 677646
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat May 31 2014 pterjan <pterjan> 2.0-15.mga5
+ Revision: 628096
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.0-14.mga4
+ Revision: 542480
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 2.0-13.mga4
+ Revision: 497631
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Sep 09 2013 shlomif <shlomif> 2.0-12.mga4
+ Revision: 476695
- New release for using Python-Pillow instead of PIL

* Fri Jan 11 2013 umeabot <umeabot> 2.0-11.mga3
+ Revision: 345076
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 13 2011 philippem <philippem> 2.0-10.mga1
+ Revision: 70738
- imported package PySolFC


* Sun Mar 13 2011 Philippe Makowski <makowski.mageia@gmail.com> 2.0-10mga1
- import from Mandriva
- Provides: pysol since PySolFC is almost a drop-in replacement for
  the now unmaintained pysol

* Sun Dec 19 2010 Shlomi Fish <shlomif@mandriva.org> 2.0-9mdv2011.0
+ Revision: 623151
- Now suggesting freecell-solver

* Mon Nov 01 2010 Shlomi Fish <shlomif@mandriva.org> 2.0-8mdv2011.0
+ Revision: 591520
- New release for new python and also suggesting the cardsets package

* Sun Sep 19 2010 Funda Wang <fwang@mandriva.org> 2.0-7mdv2011.0
+ Revision: 579772
- fix desktop file (mdv#57687)

* Fri Jul 09 2010 Shlomi Fish <shlomif@mandriva.org> 2.0-6mdv2011.0
+ Revision: 549896
- Add missing tkiner and python-imaging dependencies

* Wed May 05 2010 Funda Wang <fwang@mandriva.org> 2.0-5mdv2010.1
+ Revision: 542300
- update file list to reflect pyc removal

* Mon Feb 15 2010 Shlomi Fish <shlomif@mandriva.org> 2.0-4mdv2010.1
+ Revision: 506356
- Add BuildRequires on python-devel and python-setuptools
- Fixed the Vendor field and moved to the group Games/Cards
- Add an obsoletes field for the original (and no longer maintained) PySol
- import PySolFC


* Sat Dec 05 2009 Shlomi Fish <shlomif@iglu.org.il> 2.0-1mdv
+ Generated from python setup.py bdist_rpm .
+ Hack to put /usr/bin/pysol.py under /usr/games/pysol .
+ Fixed the rpmlint problems.

